Subject: make-kpgk modules troubles

From: Thomas Baetzler <[email-masked]>
Date: Wed, 11 Sep 1996 18:24:40 +0200

Hi,

maybe somebody could clue me in how to get this to work:

Until recently, I just rolled my own kernel as I was used to do
with Slackware. But since I found out about make-kpkg, I decided
to do things the Debian way and use that instead. After much hassle
wit the broken tar (solved by downgrading), there's still a problem:
Whenever I try to make a modules package for my system, I end up
with a message like "Modules not configured, so not making modules".

However, grep _MODULES .config tells me "CONFIG_MODULES=y", so yes,
I have them enabled.

I'm not a Makefile guru, so I just don't understand the check
in /usr/lib/kernel-package/debian/kernel.rules:

# define MODULES_ENABLED if appropriate
ifneq ($(strip $(shell egrep ^[^\#]*CONFIG_MODULES $(CONFIG_FILE))),)
MODULES_ENABLED = yes
endif

I've tried to patch it up by adding another MODULES_ENABLED after
the endif, but that doesn't work, either. It just might be that I
missed the real rules file anyways - I just patched the three I 
found. 

Any help would be sincerely appreciated,
-- 
Thomas Baetzler, [email-masked], [email-masked]
   <A HREF="http://home.pages.de/~thb/">thb's Homepage</A>